Bug 801726 - RHEL5.8 NFSv4 regression - "ls" returns "-ENOTDIR" when listing a subdirectory of exported mount [rhel-5.8.z]
RHEL5.8 NFSv4 regression - "ls" returns "-ENOTDIR" when listing a subdirector...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.8
All Linux
high Severity high
: rc
: ---
Assigned To: Ian Kent
Petr Beňas
: Regression, ZStream
: 807439 (view as bug list)
Depends On: 798809 976617 1112963
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 04:40 EST by RHEL Product and Program Management
Modified: 2015-01-04 18:02 EST (History)
21 users (show)

See Also:
Fixed In Version: kernel-2.6.18-308.3.1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 13:54:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch - fix d_instantiate_unique (1.08 KB, patch)
2012-03-14 05:24 EDT, Ian Kent
no flags Details | Diff
Patch vfs - fix LOOKUP_DIRECTORY not propagated to managed_dentry() (1.02 KB, patch)
2012-03-14 05:25 EDT, Ian Kent
no flags Details | Diff
Patch - fix d_instantiate_unique (1.08 KB, patch)
2012-03-14 05:29 EDT, Ian Kent
no flags Details | Diff
Patch vfs - fix LOOKUP_DIRECTORY not propagated to managed_dentry() (1.02 KB, patch)
2012-03-14 05:29 EDT, Ian Kent
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 75553 None None None Never

  None (edit)
Description RHEL Product and Program Management 2012-03-09 04:40:37 EST
This bug has been copied from bug #798809 and has been proposed
to be backported to 5.8 z-stream (EUS).
Comment 5 Ian Kent 2012-03-14 05:24:41 EDT
Created attachment 569933 [details]
Patch - fix d_instantiate_unique
Comment 6 Ian Kent 2012-03-14 05:25:26 EDT
Created attachment 569934 [details]
Patch vfs - fix LOOKUP_DIRECTORY not propagated to managed_dentry()
Comment 7 Ian Kent 2012-03-14 05:29:07 EDT
Created attachment 569936 [details]
Patch - fix d_instantiate_unique
Comment 8 Ian Kent 2012-03-14 05:29:43 EDT
Created attachment 569937 [details]
Patch vfs - fix LOOKUP_DIRECTORY not propagated to managed_dentry()
Comment 10 Alexander Gordeev 2012-03-26 06:03:20 EDT
in kernel-2.6.18-308.3.1.el5
Comment 13 Petr Beňas 2012-03-29 05:59:28 EDT
Reproduced in 2.6.18-308.2.1.el5 and verified in 2.6.18-308.3.1.el5.
Comment 14 errata-xmlrpc 2012-04-17 13:54:55 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0480.html
Comment 15 Dave Wysochanski 2012-05-09 09:52:30 EDT
*** Bug 807439 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.